OrdinalProperty (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.index.attributes.OrdinalProperty class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.index.attributes
Class OrdinalProperty

    java.lang.Object
      org.apache.lucene.facet.index.attributes.OrdinalProperty

All Implemented Interfaces:
  Serializable, CategoryProperty

    public class OrdinalProperty

extends Object
implements CategoryProperty

A `CategoryProperty` holding the ordinal from the taxonomy of the current category in `CategoryAttribute`.

Ordinal properties are added internally during processing of category streams, and it is recommended not to use it externally.

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`protected int` | `ordinal`

Constructor Summary
`OrdinalProperty()`

Method Summary
`void` | `clear()`
`boolean` | `equals(Object other)`
`int` | `getOrdinal()`
`boolean` | `hasBeenSet()`
`int` | `hashCode()`
`void` | `merge(CategoryProperty other)` When adding categories with properties to a certain document, it is possible that the same category will be added more than once with different instances of the same property.
`void` | `setOrdinal(int value)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ordinal

    protected int ordinal

Constructor Detail

### OrdinalProperty

    public OrdinalProperty()

Method Detail

### getOrdinal

    public int getOrdinal()

### hasBeenSet

    public boolean hasBeenSet()

### setOrdinal

    public void setOrdinal(int value)

### clear

    public void clear()

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### merge

    public void merge(CategoryProperty other)

  Description copied from interface: `CategoryProperty`
  When adding categories with properties to a certain document, it is possible that the same category will be added more than once with different instances of the same property. This method defined how to treat such cases, by merging the newly added property into the one previously added. Implementing classes can assume that this method will be called only with a property of the same class.

  Specified by:
    `merge` in interface `CategoryProperty`
  Parameters:
    `other` - The category property to merge.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD